- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Static Public Member Functions | List of all members
qi::detail::BindTransformImpl< T *, false > Struct Template Reference

`#include <trackable.hxx>`

## Public Types
using | ObjectWrapType = ObjectWrap< T *, std::is_base_of< Actor, T >::value >
template<typename F >
using | wrap_type = typename ObjectWrapType::template wrap_type< F >

## Static Public Member Functions
static T * | transform (T *arg)
template<typename F >
static wrap_type< F > | wrap (T *arg, F &&func, boost::function< void()> onFail)

## Detailed Description

### template<typename T>
struct qi::detail::BindTransformImpl< T *, false >

Definition at line 196 of file trackable.hxx.

## Member Typedef Documentation

template<typename T >

using qi::detail::BindTransformImpl< T *, false >::ObjectWrapType = ObjectWrap<T*, std::is_base_of<Actor, T>::value>

Definition at line 198 of file trackable.hxx.

template<typename T >
template<typename F >

using qi::detail::BindTransformImpl< T *, false >::wrap_type = typename ObjectWrapType::template wrap_type<F>

Definition at line 200 of file trackable.hxx.

## Member Function Documentation

template<typename T >

static T* qi::detail::BindTransformImpl< T *, false >::transform | ( | T * | arg | ) |
| inline static

Definition at line 202 of file trackable.hxx.

template<typename T >
template<typename F >

static wrap_type<F> qi::detail::BindTransformImpl< T *, false >::wrap | ( | T * | arg,
|  | F && | func,
|  | boost::function< void()> | onFail
| ) |  |
| inline static

Definition at line 208 of file trackable.hxx.

The documentation for this struct was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/detail/trackable.hxx